Bug 1420661 - Luns in use by storage domains are displayed as available in Direct LUN create pane
Summary: Luns in use by storage domains are displayed as available in Direct LUN creat...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.1.1
: ---
Assignee: Benny Zlotnik
QA Contact: Raz Tamir
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 08:32 UTC by Kevin Alon Goldblatt
Modified: 2017-02-18 10:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-12 17:10:05 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
rule-engine: exception+


Attachments (Terms of Use)
screen shot (207.34 KB, image/png)
2017-02-14 15:51 UTC, Kevin Alon Goldblatt
no flags Details
screen shot 2 (248.82 KB, image/png)
2017-02-14 15:52 UTC, Kevin Alon Goldblatt
no flags Details

Description Kevin Alon Goldblatt 2017-02-09 08:32:55 UTC
Description of problem:
LUN's in use by storage domains are displayed as available in the Create Direct LUN pane. The same LUNs are displayed as in use in the Create new Storage Domain pane

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.0.4-0.1.el7.noarch
rhevm-4.1.0.4-0.1.el7.noarch
vdsm-4.19.4-1.el7ev.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create an ISCSI storage domain with 2 LUNs (lun1, lun2)
2. Create a new direct LUN >>>>> LUNs lun1 and lun2 are displayed as available
3. Create a new storage domain - LUNs lun1 and lun2 are displayed as in use

Actual results:
LUN's in use by storage domains are displayed as available in the Create Direct LUN pane

Expected results:
LUN's in use by storage domains should be displayed as in use/greyed out in the Create Direct LUN pane

Additional info:
See screen shots

Comment 1 Benny Zlotnik 2017-02-09 13:19:26 UTC
The screenshots aren't attached. 
There is a warning above the table when selecting a used LUN
"LUN is already part of a Storage Domain: luns-secondary"

Comment 2 Allon Mureinik 2017-02-12 17:10:05 UTC
(In reply to Benny Zlotnik from comment #1)
> The screenshots aren't attached. 
> There is a warning above the table when selecting a used LUN
> "LUN is already part of a Storage Domain: luns-secondary"
This is the expected behavior.
Smart State Analysis uses this to introspect domains.
Closing.

Comment 3 Kevin Alon Goldblatt 2017-02-14 15:51:11 UTC
Created attachment 1250287 [details]
screen shot

Adding screen shot

Comment 4 Kevin Alon Goldblatt 2017-02-14 15:52:00 UTC
Created attachment 1250288 [details]
screen shot 2

Adding second screen shot


Note You need to log in before you can comment on or make changes to this bug.